Show / Hide Table of Contents

# Class OpenIddictValidationAspNetCoreHelpers

Exposes companion extensions for the OpenIddict/ASP.NET Core integration.

##### Inheritance

System.Object
OpenIddictValidationAspNetCoreHelpers

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictValidationAspNetCoreHelpers

### Methods

#### GetHttpRequest(OpenIddictValidationTransaction)

Retrieves the instance stored in the properties.

##### Declaration

    public static HttpRequest? GetHttpRequest(this OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction | The transaction instance.

##### Returns

Type | Description
--- | ---
System.Nullable<HttpRequest> | The instance or `null` if it couldn't be found.

#### GetOpenIddictValidationEndpointType(HttpContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictValidationEndpointType GetOpenIddictValidationEndpointType(this HttpContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpContext | context | The context instance.

##### Returns

Type | Description
--- | ---
OpenIddictValidationEndpointType | The .

#### GetOpenIddictValidationRequest(HttpContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictRequest? GetOpenIddictValidationRequest(this HttpContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpContext | context | The context instance.

##### Returns

Type | Description
--- | ---
System.Nullable<OpenIddictRequest> | The instance or `null` if it couldn't be found.

#### GetOpenIddictValidationResponse(HttpContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictResponse? GetOpenIddictValidationResponse(this HttpContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpContext | context | The context instance.

##### Returns

Type | Description
--- | ---
System.Nullable<OpenIddictResponse> | The instance or `null` if it couldn't be found.